--- /dev/null
+DESCRIPTION = "People widgets for Moblin User Experience"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+S = "${WORKDIR}/git"
+
+DEPENDS = "telepathy-glib glib-2.0 telepathy-mission-control nbtk"
+
+inherit autotools_stage
--- /dev/null
+DESCRIPTION = "Web Services Settings"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "GPLv2"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+DEPENDS = "gtk+ mojito mux"
+
+S = "${WORKDIR}/git"
+
+inherit autotools_stage
+
+FILES_${PN} += "${datadir}/icons/"
--- /dev/null
+DESCRIPTION = "Media deamon and play queue manager"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "GPLv2"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+S = "${WORKDIR}/git"
+
+DEPENDS = "glib-2.0 dbus-glib"
+
+FILES_${PN} += "${datadir}/dbus-1/services"
+
+inherit autotools_stage
--- /dev/null
+DESCIPTION = "Connection Management Panel Applet"
+SRC_URI = "git://git.moblin.org/${PN}-ng.git;protocol=git"
+LICENSE = "GPLv2"
+PV = "0.0+git${SRCPV}"
+PR = "r1"
+
+DEPENDS = "gconnman nbtk"
+RDEPENDS = "connman gconnman"
+
+S = "${WORKDIR}/git"
+
+FILES_${PN} += "${datadir}/icons/hicolor"
+
+inherit autotools_stage
--- /dev/null
+DESCRIPTION = "System Information Icons"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+DEPENDS = "glib-2.0 gtk+ pulseaudio libcanberra libnotify nbtk"
+
+S = "${WORKDIR}/git"
+
+inherit autotools_stage
--- /dev/null
+DESCRIPTION = "Glib bindings to connman"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+S = "${WORKDIR}/git"
+
+DEPENDS = "connman glib-2.0 dbus-glib gtk+"
+
+inherit autotools_stage
--- /dev/null
+DESCRIPTION = "The Moblin Media Player"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r1"
+
+DEPENDS = "clutter clutter-gst bickley bognor-regis nbtk startup-notification libunique"
+
+S = "${WORKDIR}/git"
+
+FILES_${PN} += "${datadir}/icons"
+
+inherit autotools_stage
--- /dev/null
+#!/bin/sh
+
+export LIBGL_ALWAYS_INDIRECT=1
+
+exec metacity --mutter-plugins=moblin-netbook
--- /dev/null
+DESCRIPTION = "Custom MB session files for poky"
+LICENSE = "GPL"
+SECTION = "x11"
+RDEPENDS = "formfactor gtk-engines initscripts matchbox-session"
+PR = "r15"
+
+# This package is architecture specific because the session script is modified
+# based on the machine architecture.
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+
+SRC_URI = "file://session"
+S = "${WORKDIR}"
+
+do_install() {
+ install -d ${D}/${sysconfdir}/matchbox
+ install ${S}/session ${D}/${sysconfdir}/matchbox/session
+ chmod +x ${D}/${sysconfdir}/matchbox/session
+}
+
+pkg_postinst_${PN} () {
+#!/bin/sh -e
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+. ${sysconfdir}/init.d/functions
+
+# Theme
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/metacity/general/theme "Moblin-Netbook"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/metacity/general/button_layout ":close"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/gtk_theme "Moblin-Netbook"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/icon_theme "moblin"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/peripherals/mouse/cursor_theme "moblin"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/toolbar_style "icons"
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type bool -s \
+ /desktop/gnome/interface/menus_have_icons false
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type bool -s \
+ /desktop/gnome/interface/buttons_have_icons false
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/sound/theme_name moblin
+
+# Window Actions
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/metacity/general/action_double_click_titlebar "none"
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/metacity/general/action_middle_click_titlebar "none"
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/metacity/general/action_right_click_titlebar "none"
+
+# UX Shell
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type bool -s \
+ /apps/metacity/general/clutter_disabled false
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type list --list-type string -s \
+ /apps/metacity/general/clutter_plugins '[moblin-netbook]'
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/url-handlers/http/command 'moblin-web-browser %s'
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/url-handlers/https/command 'moblin-web-browser %s'
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/background/picture_filename \
+ '/usr/share/mutter-moblin/theme/myzone/toys.jpg'
+
+# Fonts
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/document_font_name \
+ 'Liberation Sans 10'
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/font_name \
+ 'Liberation Sans 10'
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /desktop/gnome/interface/monospace_font_name \
+ 'Liberation Mono 10'
+
+# Nautilus
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type bool -s \
+ /apps/nautilus/preferences/always_use_browser true
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type bool -s \
+ /apps/nautilus/icon_view/labels_beside_icons true
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/nautilus/icon_view/default_zoom_level large
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults \
+ --direct --type string -s \
+ /apps/gnome_settings_daemon/keybindings/power ""
+
+#
+# The interesting bit - we convert to run the system as the user "pokyuser"
+# and setup this user account as needed
+#
+if [ ! -d /home/pokyuser ]; then
+ adduser --disabled-password --ingroup users pokyuser
+
+ # Setup any .skel files
+ if [ -d ${sysconfdir}/skel ]; then
+ cp -pPR ${sysconfdir}/skel/.[a-zA-Z0-9]* /home/pokyuser/ || /bin/true
+ cp -pPR ${sysconfdir}/skel/* /home/pokyuser/ || /bin/true
+ fi
+
+ # Move any sample media into this user
+ if [ -d ${sysconfdir}/skel-media ]; then
+ mv ${sysconfdir}/skel-media/* /home/pokyuser/ || /bin/true
+ fi
+
+ chown pokyuser.users -R /home/pokyuser/* || /bin/true
+ chown pokyuser.users -R /home/pokyuser/.[a-zA-Z0-9]* || /bin/true
+
+ # Make sure Xorg is suid
+ chmod a+s /usr/bin/Xorg
+
+ # Tell X to run as this user
+ mkdir -p ${sysconfdir}/X11/
+ echo "pokyuser" > ${sysconfdir}/X11/Xusername
+
+ # Add pokyuser to the audio group
+ audiousers=`grep ^audio < /etc/group | cut -d ':' -f 4`
+ if [ "x$audiousers" == "x" ]; then
+ audiousers=pokyuser
+ else
+ audiousers=$audiousers,pokyuser
+ fi
+ sed -i -e "s/audio:\(.*\):\(.*\):\(.*\)/audio:\1:\2:$audiousers/" /etc/group
+fi
+
+}
--- /dev/null
+
+SRC_URI = "file://${PN}-${PV}.tar.bz2"
+PR = "r0"
+
+FILES_${PN} =+ "${datadir}/icons/moblin"
+DEPENDS = "icon-naming-utils-native"
+
+
+do_install () {
+ install -d ${D}${datadir}/icons/moblin/
+ cp -r ${S}/cursors ${D}${datadir}/icons/moblin/
+}
--- /dev/null
+
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r1"
+
+S = "${WORKDIR}/git"
+
+inherit autotools_stage
+
+FILES_${PN} = "${libdir}/gtk-2.0/*/engines/*.so ${datadir}/icons ${datadir}/themes"
+FILES_${PN}-dev = "${libdir}/gtk-2.0/*/engines/*"
+FILES_${PN}-dbg = "${libdir}/gtk-2.0/*/engines/.debug"
--- /dev/null
+Index: moblin-icon-theme-0.3/configure.ac
+===================================================================
+--- moblin-icon-theme-0.3.orig/configure.ac 2009-05-16 17:49:28.000000000 +0100
++++ moblin-icon-theme-0.3/configure.ac 2009-05-16 17:53:34.000000000 +0100
+@@ -10,20 +10,9 @@
+
+ UTILS_REQUIRED=0.8.7
+
+-AC_MSG_CHECKING([icon-naming-utils >= $UTILS_REQUIRED])
+-PKG_CHECK_EXISTS(icon-naming-utils >= $UTILS_REQUIRED,
+- have_utils=yes, have_utils=no)
+-if test "x$have_utils" = "xyes"; then
+- UTILS_PATH="`$PKG_CONFIG --variable=program_path icon-naming-utils`"
+- ICONMAP="$UTILS_PATH/icon-name-mapping"
+- AC_SUBST(ICONMAP)
+- AC_MSG_RESULT([yes])
+-else
+- AC_MSG_RESULT([no])
+- AC_MSG_ERROR([icon-naming-utils >= $UTILS_REQUIRED is required to build
+- and install sato-icon-theme])
+-fi
+
++AC_PATH_PROG(ICONMAP, icon-name-mapping, icon-name-mapping)
++AC_SUBST(ICONMAP)
+
+ AC_CONFIG_FILES([
+ Makefile
--- /dev/null
+
+SRC_URI = "file://${PN}-${PV}.tar.gz"
+PR = "r1"
+
+DEPENDS = "icon-naming-utils-native"
+
+FILES_${PN} += "${datadir}/icons/"
+
+inherit autotools_stage
+
+do_install_append () {
+ mv "${D}${datadir}/icons/Moblin Netbook" ${D}${datadir}/icons/moblin
+}
--- /dev/null
+
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+DEFAULT_PREFERENCE = "-1"
+
+BROKEN = "1"
+
+S = "${WORKDIR}/git"
+
+inherit autotools_stage
--- /dev/null
+
+SRC_URI = "file://${PN}-${PV}.tar.bz2"
+PR = "r0"
+
+inherit autotools_stage
+
+#FILES_${PN} =+ "${datadir}/icons/moblin"
--- /dev/null
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+S = "${WORKDIR}/git"
+
+do_compile () {
+ :
+}
+
+do_install () {
+ install -d ${D}${sysconfdir}/skel/.bkl-thumbnails/
+ cp -pPR ${S}/.bkl-thumbnails/* ${D}${sysconfdir}/skel/.bkl-thumbnails/
+
+ install -d ${D}${sysconfdir}/skel/.kozo/
+ cp -pPR ${S}/.kozo/* ${D}${sysconfdir}/skel/.kozo/
+
+ install -d ${D}${sysconfdir}/skel/.local/
+ cp -pPR ${S}/.local/* ${D}${sysconfdir}/skel/.local/
+}
--- /dev/null
+Index: git/configure.ac
+===================================================================
+--- git.orig/configure.ac 2009-06-10 15:01:55.000000000 +0100
++++ git/configure.ac 2009-06-10 15:19:36.000000000 +0100
+@@ -36,6 +36,13 @@
+ MOZIDLDIR=`${PKG_CONFIG} --variable=idldir libxul-unstable`"/unstable"
+ AC_SUBST([MOZIDLDIR])
+
++IDLPREFIX=
++AC_ARG_WITH(idl-prefix, AC_HELP_STRING([--with-idl-prefix=DIR],[prefix to add to access to the idl files]), with_idl_prefix=${withval})
++if test x"${with_idl_prefix}" != x ; then
++ IDLPREFIX=${with_idl_prefix}
++fi
++AC_SUBST([IDLPREFIX])
++
+ AC_PATH_PROG(DBUSBINDINGTOOL, dbus-binding-tool)
+
+ AC_OUTPUT([
+Index: git/libmwbpages/Makefile.am
+===================================================================
+--- git.orig/libmwbpages/Makefile.am 2009-06-10 15:01:55.000000000 +0100
++++ git/libmwbpages/Makefile.am 2009-06-10 15:20:12.000000000 +0100
+@@ -23,10 +23,10 @@
+ mwb-start-page.lo : MwbIStartPage.h
+
+ MwbIStartPage.h : MwbIStartPage.idl
+- $(MOZHOME)/xpidl -I $(MOZIDLDIR) -m header $<
++ xpidl -I $(IDLPREFIX)$(MOZIDLDIR) -m header $<
+
+ MwbIStartPage.xpt : MwbIStartPage.idl
+- $(MOZHOME)/xpidl -I $(MOZIDLDIR) -m typelib $<
++ xpidl -I $(IDLPREFIX)$(MOZIDLDIR) -m typelib $<
+
+ xpt_DATA = MwbIStartPage.xpt
+ xptdir = $(MOZHOME)/components
--- /dev/null
+DESCRIPTION = "Moblin web browser (based on clutter + mozilla-headless/mozilla-offscreen)"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git \
+ file://xpidl.patch;patch=1"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r2"
+
+DEPENDS = "clutter clutter-mozembed clutter-gtk libunique mozilla-headless-services libccss nbtk mozilla-headless"
+
+S = "${WORKDIR}/git"
+
+EXTRA_OECONF = "--with-idl-prefix=${STAGING_DIR_TARGET}/"
+
+FILES_${PN} += "${libdir}/xulrunner-*/chrome/*"
+FILES_${PN} += "${libdir}/xulrunner-*/components/*"
+FILES_${PN}-dbg += "${libdir}/xulrunner-*/components/.debug/*"
+
+inherit autotools_stage
--- /dev/null
+Index: git/src/mnb-drop-down.c
+===================================================================
+--- git.orig/src/mnb-drop-down.c 2009-06-09 16:38:46.000000000 +0100
++++ git/src/mnb-drop-down.c 2009-06-09 16:41:21.000000000 +0100
+@@ -68,6 +68,37 @@
+ gboolean hide_toolbar : 1;
+ };
+
++
++#include <dbus/dbus.h>
++
++static gboolean
++emit_loaded_signal (gpointer user_data)
++{
++ DBusError error = DBUS_ERROR_INIT;
++ DBusConnection *conn;
++ DBusMessage *msg;
++
++ conn = dbus_bus_get (DBUS_BUS_SYSTEM, &error);
++ if (!conn) {
++ g_printerr ("Cannot connect to system bus: %s", error.message);
++ dbus_error_free (&error);
++ return FALSE;
++ }
++
++ msg = dbus_message_new_signal ("/", "org.matchbox_project.desktop", "Loaded");
++
++ dbus_connection_send (conn, msg, NULL);
++ dbus_message_unref (msg);
++
++ /* Flush explicitly because we're too lazy to integrate DBus into the main
++ loop. We're only sending a signal, so if we got as far as here it's
++ unlikely to block. */
++ dbus_connection_flush (conn);
++ dbus_connection_unref (conn);
++
++ return FALSE;
++}
++
+ static void
+ mnb_drop_down_get_property (GObject *object, guint property_id,
+ GValue *value, GParamSpec *pspec)
+@@ -137,6 +168,8 @@
+
+ g_signal_emit (actor, dropdown_signals[SHOW_COMPLETED], 0);
+ g_object_unref (actor);
++
++ g_idle_add (emit_loaded_signal, NULL);
+ }
+
+ static void
--- /dev/null
+DESCRIPTION = "A Moblin specific plugin for the Mutter composite window manager"
+SECTION = "x11/wm"
+LICENSE = "GPLv3"
+DEPENDS = "nbtk mutter gnome-menus mojito libjana anerley clutter-mozembed"
+PV = "2.25.2+git${SRCPV}"
+PR = "r3"
+
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git \
+ file://startup-notify.patch;patch=1 \
+ file://background-tile.png"
+
+FILES_${PN} += "${libdir}/metacity/plugins/clutter/*.so* ${datadir}/mutter-moblin-netbook-plugin"
+FILES_${PN}-dbg += "${libdir}/metacity/plugins/clutter/.debug/*"
+
+S = "${WORKDIR}/git"
+
+ASNEEDED = ""
+
+EXTRA_OECONF = "--enable-ahoghill --enable-netpanel --enable-people"
+
+inherit autotools_stage
+
+do_configure_prepend () {
+ rm -f ${S}/build/autotools/gtk-doc.m4
+ cp ${WORKDIR}/background-tile.png ${S}/data/theme/panel/
+}
+
+pkg_postinst_${PN} () {
+#!/bin/sh -e
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+. ${sysconfdir}/init.d/functions
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults --direct --type list --list-type string --set /apps/metacity/general/clutter_plugins '[moblin-netbook]'
+}
--- /dev/null
+DESCRIPTION = "GTK+ widgets for moblin"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+LICENSE = "LGPLv2.1"
+
+S = "${WORKDIR}/git"
+
+DEPENDS = "gtk+"
+
+inherit autotools_stage
--- /dev/null
+DESCRIPTION = "Moblin toolkit library for netbooks"
+SRC_URI = "git://git.moblin.org/${PN}.git;protocol=git"
+LICENSE = "LGPLv2.1"
+PV = "0.0+git${SRCPV}"
+PR = "r0"
+
+DEPENDS = "clutter libccss"
+
+S = "${WORKDIR}/git"
+
+inherit autotools_stage
+
+do_configure_prepend () {
+ echo "EXTRA_DIST=" > ${S}/gtk-doc.make
+ touch ${S}/INSTALL
+}